## egctl 0.1

=== Makefile ===
#
# Copyright (c) 2014 Vitaly Sinilin <vs@kp4.ru>
#
# See the included COPYING file.
#

CFLAGS = -W -Wall -D_BSD_SOURCE

ifdef DEBUG
	CFLAGS += -g -DDEBUG
endif

DESTDIR =
PREFIX = /usr/local

bindir = $(PREFIX)/bin
mandir = $(PREFIX)/share/man

override bindir := $(DESTDIR)$(bindir)
override mandir := $(DESTDIR)$(mandir)

all: egctl

install: egctl
	install -D egctl $(bindir)/egctl
	install -D -m 644 egctl.1 $(mandir)/man1/egctl.1

uninstall:
	$(RM) $(bindir)/egctl
	$(RM) $(mandir)/man1/egctl.1

clean:
	$(RM) egctl

.PHONY: all install uninstall clean

=== debian/changelog ===
egctl (1:0.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 13 Jul 2022 17:30:38 +0200

egctl (1:0.1-1) unstable; urgency=medium

  * Fix "Weird upstream tarball, weird version number"
    (Closes: #838696)

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 11 Dec 2016 00:13:15 +0100

egctl (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #789043)

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 19 Sep 2016 18:34:23 +0200

=== debian/control ===
Source: egctl
Section: misc
Priority: optional
Maintainer: Héctor Orón Martínez <zumbi@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: https://github.com/unterwulf/egctl

Package: egctl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: control state of EnerGenie Programmable surge protector
 program to control the state of EnerGenie Programmable surge protector with
 LAN interface. It uses native EG-PMS-LAN data exchange protocol version 2.0
 or 2.1, not HTTP.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

## egctl 0.3

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # See the included COPYING file.
 #
 
-CFLAGS = -W -Wall -D_BSD_SOURCE
+CFLAGS = -W -Wall -D_BSD_SOURCE -D_DEFAULT_SOURCE
 
 ifdef DEBUG
 	CFLAGS += -g -DDEBUG

=== debian/changelog ===
egctl (1:0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1037955
  * Maintain package in Debian team on Salsa
  * Add watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * d/copyright:
     - Secure URI
     - Update copyright
  * Remove trailing whitespace in debian/rules (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Jul 2025 08:23:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: misc
 Priority: optional
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/egctl
+Vcs-Git: https://salsa.debian.org/debian/egctl.git
 Homepage: https://github.com/unterwulf/egctl
 
 Package: egctl

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ 
+	dh $@

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/unterwulf/egctl/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
